/****************************************************************************
 *
 *		Target Tuning Symbol File
 *		-------------------------
 *
 * 		This file is populated with symbol information only for modules
 *		that have an object ID of 30000 or greater assigned.
 *
 *          Generated on:  13-May-2023 10:14:59
 *
 ***************************************************************************/

#ifndef AWE_FIR_TEST_CONTROLINTERFACE_AWE6_H
#define AWE_FIR_TEST_CONTROLINTERFACE_AWE6_H

// ----------------------------------------------------------------------
// FIR1 [FilterbankFIRV2]
// Efficient filterbank based FIR filter

#define AWE_FIR1_ID 

// int profileTime - 24.8 fixed point filtered execution time. Must be pumped 1000 times to get to within .1% accuracy
#define AWE_FIR1_profileTime_OFFSET 7
#define AWE_FIR1_profileTime_MASK 0x00000080
#define AWE_FIR1_profileTime_SIZE -1

// int L - Length of the time domain FIR filter
#define AWE_FIR1_L_OFFSET 8
#define AWE_FIR1_L_MASK 0x00000100
#define AWE_FIR1_L_SIZE -1

// int FFTSize - Length of the FFT used
#define AWE_FIR1_FFTSize_OFFSET 9
#define AWE_FIR1_FFTSize_MASK 0x00000200
#define AWE_FIR1_FFTSize_SIZE -1

// int numBlocks - Number of blocks in the subband filter
#define AWE_FIR1_numBlocks_OFFSET 10
#define AWE_FIR1_numBlocks_MASK 0x00000400
#define AWE_FIR1_numBlocks_SIZE -1

// float coeffs[256] - Time domain filter coefficients
// Default value:
//     1
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
//     0
// Range: unrestricted
#define AWE_FIR1_coeffs_OFFSET 11
#define AWE_FIR1_coeffs_MASK 0x00000800
#define AWE_FIR1_coeffs_SIZE 256



#endif // AWE_FIR_TEST_CONTROLINTERFACE_AWE6_H

